Cell change missing in table diff
Closed, ResolvedPublic8 Story Points

Description

In tables.html, remove the row "I J K L", now edit the last column (DHP) to read XYZ.

The table should now look like:

But the diff doesn't show the P->Z change:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2017, 10:52 AM
Esanders added a comment.EditedFeb 17 2017, 7:26 PM

Another similar one:

Remove the last column, then insert a new row in the middle (zxy):

Update: This is now T158518

Change 338698 had a related patch set uploaded (by Tchanders):
Correct some indices in visual diff

https://gerrit.wikimedia.org/r/338698

The first example is fixed by correcting a few indices, but the second poses a more philosophical question about minimal-tree-diffing 2D matrices, so requires a bit more thinking...

Change 338698 merged by jenkins-bot:
Correct some indices in visual diff

https://gerrit.wikimedia.org/r/338698

Change 339481 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (813c586a6)

https://gerrit.wikimedia.org/r/339481

Change 339481 merged by jenkins-bot:
Update VE core submodule to master (813c586a6)

https://gerrit.wikimedia.org/r/339481

Jdforrester-WMF closed this task as Resolved.Feb 23 2017, 8:08 PM
Jdforrester-WMF assigned this task to Tchanders.
Jdforrester-WMF edited projects, added VisualEditor-Tables; removed Patch-For-Review.
Jdforrester-WMF set the point value for this task to 8.Feb 27 2017, 10:54 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 10 2017, 10:55 PM